#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <pwd.h>

static void usage()
{
	fprintf (stderr,"isolate-su directory command [ arguments ]\n");
}

int main (int argc, char *argv[])
{
	int ret = -1;
	int uid = 65535;
	while (getpwuid(uid)!=NULL && uid > 65400) uid--;
	const char *dir = argv[1];
	if (argc < 3){
		usage();
	}else if (chdir(dir)==-1){
		fprintf (stderr,"Can't chdir to %s (%s)\n",dir,strerror(errno));
	}else if (chroot(dir)==-1){
		fprintf (stderr,"Can't chroot to %s (%s)\n",dir,strerror(errno));
	}else{
		//fprintf (stderr,"dir :%s: command :%s: uid=%d\n",dir,argv[2],uid);
		//setuid (uid);
		execv (argv[2],argv+2);
		fprintf (stderr,"Can't exec %s (%s)\n",argv[2],strerror(errno));
	}
	return ret;
}
	

