#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <sys/stat.h>
#include <limits.h>
#include <dirent.h>
#include <ctype.h>
#include <pwd.h>
#include <stdlib.h>

static bool adminfs_checkext (const char *path, const char *ext)
{
	int lenext = strlen(ext);
	int lenpath = strlen(path);
	return lenpath >= lenext && strcmp(path+lenpath-lenext,ext)==0;
}
	
static bool adminfs_nosuffix(const char *path)
{
	bool ret = true;
	if (adminfs_checkext (path,".OLD")
		|| adminfs_checkext (path,".bak")
		|| adminfs_checkext (path,"~")){
		ret = false;
	}
	return ret;
}


int main (int argc, char *argv[])
{
	int ret = -1;
	const char *home = getenv ("HOME");
	if (home == NULL){
		fprintf (stderr,"No home directory, aborting\n");
	}else if ((argc == 2 || argc == 3) && strcmp(argv[1],"--list")==0){
		if (argc == 2){
			char path[PATH_MAX];
			sprintf (path,"%s/.virtualfs/adminfs",home);
			DIR *dir = opendir (path);
			if (dir != NULL){
				struct dirent *ent;
				while ((ent=readdir(dir))!=NULL){
					if(adminfs_nosuffix(ent->d_name)){
						printf ("d %s %d %d 0\n",ent->d_name,getuid(),getgid());
					}
				}
				closedir (dir);
				ret = 0;
			}
		}else if (argc == 3){
			char path[PATH_MAX];
			sprintf (path,"%s/.virtualfs/adminfs/%s",home,argv[2]);
			struct stat st;
			if (stat(path,&st)==-1){
			}
		}
	}
	return ret;
}


