Summary: Transparent filesystem access audio x-terminal net floppy cdrom
Name: virtualfs
Version: REV
Release: RPMREV
Copyright: GPL
Vendor: Solucorp
Group: Networking/util
Source0: ftp://ftp.solucorp.qc.ca/pub/misc/virtualfs-REV.src.tar.gz
BuildRoot: /var/tmp/virtualfs
Provides: virtualfs

%description
This package allows transparent access (no mount/umount) of the floppy,
the cdrom, and network file system. The works locally and accross
the network (for X terminals). Virtualfs provides also other goodies
such as powerful ACL based filesystem (Access Control List).
It also provides the same service for the sound card for X terminals.
On the X terminal, you must install the virtualfs-server package.

%package server
Summary: virtualfs server
Group: Utilities/System
%description server
This provide the remaudioserv daemon which control access to the floppy
and cdrom as well as the sound card.

%package aclfs
Summary: aclfs client and server
Group: Utilities/System
%description aclfs
This provide the aclfs package. It provides fancy access control
(acl means Access Control List).

%package devel
Summary: headers to develop stackable automounters and virtual fs
Group: devel/System
%description devel
The remaudio dll intercept some system calls (open,close,read, ...) and
do some special processing for some files. One can write another DLLs that
will do the same, by registering to the dispatch table. See the remaudio
sources to see how this works.

%prep
%setup 

%build
make

%install
export RPM_MANDIR=%_mandir
if [ "$RPM_BUILD_ROOT" != "" ] ; then
	rm -rf $RPM_BUILD_ROOT
fi
export RPM_BUILD_ROOT
make RPM_MANDIR=$RPM_MANDIR INSTROOT= install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
#mkdir -p $RPM_BUILD_ROOT/etc/profile.d
#install virtualfs-profile.sh -m 755 $RPM_BUILD_ROOT/etc/profile.d
make install-sysv

%files
%defattr(-,root,root)
/usr/lib/virtualfs
#/etc/profile.d/virtualfs-profile.sh
/usr/bin/remaudio
/usr/bin/virtualfs
/usr/bin/bigcp
/usr/bin/litefsd
/usr/bin/litefsd-browse
/usr/bin/litefs-proxy
/usr/bin/litefs-shutdown
/usr/bin/litefs-ssh
/usr/sbin/litefs-xterminal
/etc/xterminit.d/S50litefs
/usr/bin/virtualfs-xsmb
/usr/bin/virtualfs-xncp
/usr/bin/virtualfs-printers
/usr/bin/virtualfs-browsenet
/usr/bin/adminfs
%config /etc/virtualfs/litefs.conf
%config /etc/virtualfs/persmount.conf
%doc %_mandir/man1/*
%doc %_mandir/man5/*
%doc doc/*.html
%doc doc/*.txt

%files server
%defattr(-,root,root)
/usr/sbin/remaudioserv
/usr/sbin/rprintserv
/etc/xterminit.d/S50printserv
/etc/xterminit.d/S50remaudioserv
/etc/init.d/remaudioserv
%config /etc/virtualfs/remaudio.tcpallow
%doc %_mandir/man8/*

%files aclfs
%defattr(-,root,root)
/usr/sbin/aclfsd
/usr/lib/virtualfs/aclfs.so.REV.0
/usr/lib/virtualfs/aclfs.so
/usr/lib/virtualfs/aclfsd
/etc/init.d/aclfsd
/usr/bin/isolate
%doc %_mandir/man5/*
%doc %_mandir/man8/*
%config(noreplace) %attr(600,root,root) /etc/virtualfs/isolate/*.acl

%files devel
%defattr(-,root,root)
/usr/include/virtualfs

%clean
if [ "$RPM_BUILD_ROOT" != "" ] ; then
	rm -rf $RPM_BUILD_ROOT
fi

%post server
	#echo post REV RPMREV $1
	if [ -f /sbin/chkconfig ] ; then
		/sbin/chkconfig remaudioserv on
	else
		(cd /etc/rc.d/rc5.d && ln -s ../init.d/remaudioserv S98remaudioserv )
		(cd /etc/rc.d/rc3.d && ln -s ../init.d/remaudioserv S98remaudioserv )
	fi
	echo Starting the remaudio server now
	(cd / && /etc/init.d/remaudioserv start)

%postun server
	#echo postun REV RPMREV $1

%pre server
	#echo pre REV RPMREV $1
	if [ "$1" = 2 ] ; then
		# We are doing an update, stop the server now
		echo Stopping the remaudio server now
		/etc/init.d/remaudioserv stop
	fi

%preun server
	#echo preun REV RPMREV $1
	if [ "$1" = 0 ] ; then
		# We are uninstalling the package, stop the server
		rm -f /etc/rc.d/*/S??remaudioserv /etc/rc.d/*/K??remaudioserv
		echo Stopping the remaudio server now
		/etc/init.d/remaudioserv stop
	fi

%post aclfs
	if [ -f /sbin/chkconfig ] ; then
		/sbin/chkconfig aclfsd on
	else
		(cd /etc/rc.d/rc5.d && ln -s ../init.d/aclfsd S98aclfsd )
		(cd /etc/rc.d/rc3.d && ln -s ../init.d/aclfsd S98aclfsd )
	fi
	echo Starting the aclfsd server now
	(cd / && /etc/init.d/aclfsd start)

%pre aclfs
	if [ "$1" = 2 ] ; then
		echo Stopping the aclfsd server now
		/etc/init.d/aclfsd stop
	fi

%preun aclfs
	if [ "$1" = 0 ] ; then
		rm -f /etc/rc.d/*/S??aclfsd /etc/rc.d/*/K??aclfsd
		echo Stopping the aclfsd server now
		/etc/init.d/aclfsd stop
	fi

